<?php



use Idearia\Logger;



class PipelineWooProduct extends Pipeline {



	public function unpublish() {

		Logger::info( "PipelineWooProduct::unpublish() started" );

		if ($productId = $this->itemId) {

			Logger::debug( "PipelineWooProduct::unpublish() ID={$productId}" );

			$accProductController = new AccProductController();

			if ($accProductController->processUnpublishProduct($productId)) {

				return true;

			}

		}



		return false;

	}



	public function sync() {



		return false;

	}





}